# Images GET https://image-search.ydc-index.io/images Returns the URLs of images associated to the user query. **NOTE**: The You.com Image Search is currently available to exclusive early access partners. To express interest in early access, please reach out via email to [api@you.com](mailto:api@you.com). Reference: https://docs.you.com/api-reference/images/images ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Returns a list of images hits for query version: endpoint_.returnsAListOfImagesHitsForQuery paths: /images: get: operationId: returns-a-list-of-images-hits-for-query summary: Returns a list of images hits for query description: >- Returns the URLs of images associated to the user query. **NOTE**: The You.com Image Search is currently available to exclusive early access partners. To express interest in early access, please reach out via email to [api@you.com](mailto:api@you.com). tags: - [] parameters: - name: q in: query description: >- The search query used to retrieve relevant image results from the web. required: true schema: type: string default: The image you are searching for - name: X-API-Key in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: A JSON object containing an array of image search results. content: application/json: schema: $ref: >- #/components/schemas/returnsAListOfImagesHitsForQuery_Response_200 '401': description: Unauthorized. Problems with API key. content: {} '403': description: Forbidden. API key lacks scope for this path. content: {} '500': description: >- Internal Server Error during authentication/authorization middleware. content: {} components: schemas: ImagesGetResponsesContentApplicationJsonSchemaImagesResultsItems: type: object properties: title: type: string description: The title of the image result. page_url: type: string description: The URL of the webpage containing the image. image_url: type: string description: The direct URL to the image. ImagesGetResponsesContentApplicationJsonSchemaImages: type: object properties: results: type: array items: $ref: >- #/components/schemas/ImagesGetResponsesContentApplicationJsonSchemaImagesResultsItems ImagesGetResponsesContentApplicationJsonSchemaMetadata: type: object properties: query: type: string description: Returns the original query submitted. search_uuid: type: string description: The unique identifier for the search request. returnsAListOfImagesHitsForQuery_Response_200: type: object properties: images: $ref: >- #/components/schemas/ImagesGetResponsesContentApplicationJsonSchemaImages metadata: $ref: >- #/components/schemas/ImagesGetResponsesContentApplicationJsonSchemaMetadata ``` ## SDK Code Examples ```python import requests url = "https://image-search.ydc-index.io/images" querystring = {"q":"The image you are searching for"} headers = {"X-API-Key": ""} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://image-search.ydc-index.io/images?q=The+image+you+are+searching+for'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://image-search.ydc-index.io/images?q=The+image+you+are+searching+for" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```java HttpResponse response = Unirest.get("https://image-search.ydc-index.io/images?q=The+image+you+are+searching+for") .header("X-API-Key", "") .asString(); ``` ```csharp var client = new RestClient("https://image-search.ydc-index.io/images?q=The+image+you+are+searching+for"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://image-search.ydc-index.io/images?q=The+image+you+are+searching+for")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```